Jump to content
From ArchWiki

Related articles

- X resources

Xsettingsd is a lightweight xsettings daemon which provides settings to Xorg applications via the XSETTINGS specification when not running one (like when using KDE). Some applications like Java or Wine do not get the font settings through Fontconfig so this is necessary to provide settings like anti-aliasing and font hinting.

## Installation

Install xsettingsd or xsettingsd-gitAUR.

## Configuration

See https://codeberg.org/derat/xsettingsd for detailed syntax.

An example configuration to provide better font rendering:

    ~/.config/xsettingsd/xsettingsd.conf

    Xft/Hinting 1
    Xft/HintStyle "hintslight"
    Xft/Antialias 1
    Xft/RGBA "rgb"

## Usage

Start/enable the user unit `xsettingsd.service`.

Note: KDE with kde-gtk-config installed will start it automatically.

Alternatively, it can also be autostarted.

## See also

- xsettingsd
- xsettingsd(1)

Categories:

- Configuration files
- X server